Package com.google.javascript.jscomp

# Interface InstrumentationOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Instrumentation`, `Instrumentation.Builder`

public interface InstrumentationOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getAppNameSetter()`
name of function(<string>); used to inform the harness about the app name
`com.google.protobuf.ByteString`
`getAppNameSetterBytes()`
name of function(<string>); used to inform the harness about the app name
`String`
`getDeclarationToRemove(int index)`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`com.google.protobuf.ByteString`
`getDeclarationToRemoveBytes(int index)`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`int`
`getDeclarationToRemoveCount()`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`List<String>`
`getDeclarationToRemoveList()`
List of variable declarations in the application's source code that should be replaced by variables with the same name that are part of the instrumentation harness.
`String`
`getInit(int index)`
Definition of functions used to report module contents and function calls.
`com.google.protobuf.ByteString`
`getInitBytes(int index)`
Definition of functions used to report module contents and function calls.
`int`
`getInitCount()`
Definition of functions used to report module contents and function calls.
`List<String>`
`getInitList()`
Definition of functions used to report module contents and function calls.
`String`
`getReportCall()`
name of function(ID = <numeric function id>); used to inform the harness about a function call
`com.google.protobuf.ByteString`
`getReportCallBytes()`
name of function(ID = <numeric function id>); used to inform the harness about a function call
`String`
`getReportDefined()`
name of function(ID = <numeric function id>); used to inform the harness about the contents of a module
`com.google.protobuf.ByteString`
`getReportDefinedBytes()`
name of function(ID = <numeric function id>); used to inform the harness about the contents of a module
`String`
`getReportExit()`
name of function(ID = <numeric function id>, VAL = <return value>); used to inform the harness about a function exit.
`com.google.protobuf.ByteString`
`getReportExitBytes()`
name of function(ID = <numeric function id>, VAL = <return value>); used to inform the harness about a function exit.
`boolean`
`hasAppNameSetter()`
name of function(<string>); used to inform the harness about the app name
`boolean`
`hasReportCall()`
name of function(ID = <numeric function id>); used to inform the harness about a function call
`boolean`
`hasReportDefined()`
name of function(ID = <numeric function id>); used to inform the harness about the contents of a module
`boolean`
`hasReportExit()`
name of function(ID = <numeric function id>, VAL = <return value>); used to inform the harness about a function exit.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasReportDefined

boolean hasReportDefined()

     name of function(ID = <numeric function id>);
     used to inform the harness about the contents of a module

`optional string report_defined = 1;`

Returns:
  Whether the reportDefined field is set.

### getReportDefined

String getReportDefined()

     name of function(ID = <numeric function id>);
     used to inform the harness about the contents of a module

`optional string report_defined = 1;`

Returns:
  The reportDefined.

### getReportDefinedBytes

com.google.protobuf.ByteString getReportDefinedBytes()

     name of function(ID = <numeric function id>);
     used to inform the harness about the contents of a module

`optional string report_defined = 1;`

Returns:
  The bytes for reportDefined.

### hasReportCall

boolean hasReportCall()

     name of function(ID = <numeric function id>);
     used to inform the harness about a function call

`optional string report_call = 2;`

Returns:
  Whether the reportCall field is set.

### getReportCall

String getReportCall()

     name of function(ID = <numeric function id>);
     used to inform the harness about a function call

`optional string report_call = 2;`

Returns:
  The reportCall.

### getReportCallBytes

com.google.protobuf.ByteString getReportCallBytes()

     name of function(ID = <numeric function id>);
     used to inform the harness about a function call

`optional string report_call = 2;`

Returns:
  The bytes for reportCall.

### hasReportExit

boolean hasReportExit()

     name of function(ID = <numeric function id>, VAL = <return value>);
     used to inform the harness about a function exit.  Must return
     its second argument.
     @returns VAL

`optional string report_exit = 6;`

Returns:
  Whether the reportExit field is set.

### getReportExit

String getReportExit()

     name of function(ID = <numeric function id>, VAL = <return value>);
     used to inform the harness about a function exit.  Must return
     its second argument.
     @returns VAL

`optional string report_exit = 6;`

Returns:
  The reportExit.

### getReportExitBytes

com.google.protobuf.ByteString getReportExitBytes()

     name of function(ID = <numeric function id>, VAL = <return value>);
     used to inform the harness about a function exit.  Must return
     its second argument.
     @returns VAL

`optional string report_exit = 6;`

Returns:
  The bytes for reportExit.

### getDeclarationToRemoveList

List<String> getDeclarationToRemoveList()

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Returns:
  A list containing the declarationToRemove.

### getDeclarationToRemoveCount

int getDeclarationToRemoveCount()

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Returns:
  The count of declarationToRemove.

### getDeclarationToRemove

String getDeclarationToRemove(int index)

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The declarationToRemove at the given index.

### getDeclarationToRemoveBytes

com.google.protobuf.ByteString getDeclarationToRemoveBytes(int index)

     List of variable declarations in the application's source code
     that should be replaced by variables with the same name that are
     part of the instrumentation harness.  The presence of these
     declarations in the original code allows debug UIs that access
     these variables to compile when the instrumentation pass is
     disabled.

`repeated string declaration_to_remove = 3;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the declarationToRemove at the given index.

### getInitList

List<String> getInitList()

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Returns:
  A list containing the init.

### getInitCount

int getInitCount()

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Returns:
  The count of init.

### getInit

String getInit(int index)

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The init at the given index.

### getInitBytes

com.google.protobuf.ByteString getInitBytes(int index)

     Definition of functions used to report module contents and
     function calls.  Will be added to the start of the app's main
     module.

`repeated string init = 4;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the init at the given index.

### hasAppNameSetter

boolean hasAppNameSetter()

     name of function(<string>);
     used to inform the harness about the app name

`optional string app_name_setter = 5;`

Returns:
  Whether the appNameSetter field is set.

### getAppNameSetter

String getAppNameSetter()

     name of function(<string>);
     used to inform the harness about the app name

`optional string app_name_setter = 5;`

Returns:
  The appNameSetter.

### getAppNameSetterBytes

com.google.protobuf.ByteString getAppNameSetterBytes()

     name of function(<string>);
     used to inform the harness about the app name

`optional string app_name_setter = 5;`

Returns:
  The bytes for appNameSetter.